## NordVPN systray

### Développement

Prérequis, l'application nordvpn est installée  

* Le **dossier développement** qui contient tous les modules nécessaire ainsi que les binaires  
`/srv/media/dplus/python-dev/nordvpntray`  
* Le **dossier final après installation**  
$HOME/.local/share/nordvpntray

Créer un projet python  `nordvpntray`  

```bash
# Crée le dossier si inexistant
mkdir $HOME/media/dplus/python-dev/nordvpntray
# aller dans le dossier
cd $HOME/media/dplus/python-dev/nordvpntray
```

Pour créer un environnement, utilisez la commande `python -m venv <environment name>`
Créer un environnement pour l'application

    python3 -m venv venv

activer l'environnement virtuel  

    source venv/bin/activate

On arrive sur un prompt : `(venv) [yann@PC1 nordvpntray]$`

Mettre à jour pip dans l'environnement

    pip install --upgrade pip

Les modules à installer

fichier requirements.txt

```
pystray
pillow
ping3
plyer
desktop-notifier
dbus-python
wheel
urllib3
PyGObject
```

Installer les modules supplémentaires

    pip install -r requirements.txt

Projet sur éditeur python "Wing Personal 10"  
$HOME/media/dplus/python-dev/nordvpntray.wpr

Créer les scripts

Aller dans le dossier développement

    cd /srv/media/dplus/python-dev/nordvpntray

Créer un script de lancement : `nordvpntray.sh`

```bash
# Lancement nordvpntray
# Dossier travail
cd $HOME/.local/share/nordvpntray
# Chemin
export PATH="$HOME/.local/share/nordvpntray/venv/bin:$PATH"
# Exécution script
python nordvpntray.py
```

Le rendre exécutable

    chmod +x nordvpntray.sh

Créer icône bureau `nordvpntray.desktop`

```
[Desktop Entry]
Version=1.0
Type=Application
Name=NordVPN Graphique
Comment=Etat du service nordvpn 
Icon=nordvpn
Exec=nordvpntray
```

Le script d'installation `install.sh`

```bash
# copie dossier
cp -r ../nordvpntray $HOME/.local/share/
# Icône bureau
mkdir -p $HOME/.local/share/applications/
cp nordvpntray.desktop $HOME/.local/share/applications/
# on met le script en lien dans /usr/local/bin/
sudo ln -s $HOME/.local/share/nordvpntray/nordvpntray.sh /usr/local/bin/nordvpntray
```

## Installer NordVPN systray

### Prérequis

L'application NordVPN doit être installée, suivre la procédure : [Application NordVPN](https://static.rnmkcy.eu/2024/11/23/NordVPN.html)

Les paramètres à activer ou désactiver

```bash
nordvpn set autoconnect disabled
nordvpn set tray disabled
nordvpn set notify disabled
nordvpn set ipv6 enabled
nordvpn set lan-discovery enabled 
```

Paramétrage : `nordvpn settings`

```
Technology: NORDLYNX
Firewall: enabled
Firewall Mark: 0xe1f1
Routing: enabled
Analytics: enabled
Kill Switch: disabled
Threat Protection Lite: disabled
Notify: disabled
Tray: disabled
Auto-connect: disabled
IPv6: enabled
Meshnet: disabled
DNS: disabled
LAN Discovery: enabled
Virtual Location: enabled
Post-quantum VPN: disabled
```

### nordvpntray

Cloner le dépot

    git clone https://gitea.rnmkcy.eu/yann/nordvpntray

    cd nordvpntray
    ./install.sh

Lancement en début de session XFCE  

* Paramètres --> Gestionnaire de Paramètres --> Session et démarrage  
* Démarrage automatique d'application
    * +Ajouter
        * Nom: nordvpntray 
        * Description : NordVPN Graphique
        * Commande: nordvpntray
        * Déclencher à la connexion
    * OK
* Fermer
